<?php load_theme_textdomain('lush'); ?>
<?php
require_once (ABSPATH . WPINC . '/class-snoopy.php');

// Let's start the admin menu!
add_action('admin_menu','lushmenu');

$lushloc = '../themes/' . basename(dirname($file)); 

function menu() { ?>

<div class="wrap">

<?php if (isset($_POST['Submit'])) : ?>
	<div class="updated">
		<p><?php _e('Lush Options have been updated','lush'); ?></p>
	</div>
<?php endif; ?>


<h2><?php _e('Lush Options','lush'); ?></h2>

<p><?php _e('Here you can set some parameters to suit your needs','lush'); ?></p>

<form name="dofollow" action="" method="post">
  <input type="hidden" name="action" value="<?php lushupdate(); ?>" />
  <input type="hidden" name="page_options" value="'dofollow_timeout'" />

<table width="700px" cellspacing="2" cellpadding="5" class="editform">
<tr valign="top">
	<th scope="row"><?php echo __('Sidebar Links','lush'); ?></th>
	<td><select name="sblinkcat" id="sblinkcat" style="width: 300px;">

<?php 			global $wpdb;

if(get_option('lushsblinkcat') != 0) {
	$whichlink = get_option('lushsblinkcat');
	$activelink = $wpdb->get_row("SELECT * FROM $wpdb->linkcategories where cat_id = $whichlink");
	echo '<option value="' . $activelink->cat_id . '">' . $activelink->cat_name . '</option>';
	echo '<option value="">--- ---</option>';
} else {
	echo '<option value="0">No links please</option>';
	echo '<option value="">--- ---</option>';
}

$link_cats = $wpdb->get_results("SELECT * from $wpdb->linkcategories");
foreach ($link_cats as $cat) {
			echo '<option value="' . $cat->cat_id . '">' . $cat->cat_name . '</option>';
            } ?>
		<option value="0"><?php _e('No links please','lush'); ?></option>
	</select>

	<p><small><?php _e('Choose the link category you want to display in your sidebar. You also have the option to display no links at all.','lush'); ?></small></p>
	<p><small><?php _e('Make sure you turn off descriptions for the chosen category, otherwise you will have a cluttered sidebar.','lush'); ?></small></p></td>
</tr>

<tr valign="top">
	<th scope="row"><?php echo __('About Page','lush'); ?></th>
	<td><input type="checkbox" name="aboutpage" id="add-about" name="tags" value="1" <?php checked(!(''), get_option('lushaboutpage')); ?>>
		<label for="add-about"><?php _e('Enable the Lush About Page','lush'); ?></label>
		<p><small><?php _e('Enabling this option will create a static page, which will be linked in the sidebar. Obviously you have to fill it out by yourself ;-)','lush'); ?></small></p>
		<p><small><?php _e('<strong>CAUTION!</strong> Disabling this option will also delete the about page!','lush'); ?></small></p>
	</td>
</tr>

<?php if(function_exists('UTW_ShowWeightedTagSet')) { ?>
<tr valign="top">
	<th scope="row"><?php echo __('Tags Cloud','lush'); ?></th>
	<td><input type="checkbox" name="tagcloud" id="add-tagcloud" name="tagcloud" value="1" <?php checked('1', get_option('lushtagcloud')); ?>>
		<label for="add-tags"><?php _e('Enable Tagcloud','lush'); ?></label>
		<p><small><?php _e('Enabling this option will display a weighed tagcloud with 20 tags in your sidebar.','lush'); ?></small></p>
	</td>
</tr>

<tr valign="top">
	<th scope="row"><?php echo __('Tags Page','lush'); ?></th>
	<td><input type="checkbox" name="tagspage" id="add-tags" name="tags" value="1" <?php checked(!(''), get_option('lushtagspage')); ?>>
		<label for="add-tags"><?php _e('Enable the Lush Tags Page','lush'); ?></label>
		<p><small><?php _e('Enabling this option will create a static page with all tags used in your blog. This page will be linked in the sidebar.','lush'); ?></small></p>
	</td>
</tr>
<?php } ?>

<?php if(function_exists('get_flickrRSS')) { ?>
<tr valign="top">
	<th scope="row"><?php echo __('flickRSS'); ?></th>
	<td><input type="checkbox" name="flickr" id="add-flickr" name="flickr" value="1" <?php checked('1', get_option('lushflickr')); ?>>
		<label for="add-flickr"><?php _e('Enable flickRSS','lush'); ?></label>
		<p><small><?php _e('Enabling this option will display four flickr pictures from the given RSS feed.','lush'); ?></small></p>
		<p><small><?php _e('Make sure you configure flickRSS before enabling this option. The amount of pictures is pre-defined to four with square-size.','lush'); ?></small></p>
	</td>
</tr>
<tr valign="top">
	<th scope="row"><?php echo __('Header Link'); ?></th>
	<td><input type="checkbox" name="headerlink" id="add-headerlink" value="1" <?php checked('1',get_option('lushheaderlink')); ?>>
		<label for="add-headerlink"><?php _e('Enable header link','lush'); ?></label>
		<p><small><?php _e('Enabling this option will turn the header into a link to your front page','lush'); ?></small></p>
		<p><small><?php _e('This is particularly useful if you have a cool header image and want to get rid of the standard header','lush'); ?></small></p>
	</td>
<?php } ?>

</table>

<p class="submit"><input type="submit" name="Submit" value="<?php _e('Update Options','lush'); ?> &raquo;" /></p>
</form>
</div>

<div class="wrap">
  <p style="text-align:center;"><?php _e('Help can be found at <a href="http://jeriko.l-tech.org/2006/03/06/introducing-lush-for-wordpress/">jeriko.l-tech.org</a> (WordPress related) or <a href="http://w3-labs.com">w3-labs.com</a> (Theme at all)','lush'); ?></p>
</div>
<? }

// Update the options when the form is submitted
function lushupdate() {
	if ( !empty($_POST) ) {
		if ( isset($_POST['sblinkcat']) ) {
			$linkcat = $_POST['sblinkcat'];
			update_option('lushsblinkcat', $linkcat, '','');
		}
		if ( isset($_POST['aboutpage']) ) {
			$add = $_POST['aboutpage'];
			create_about();
		} else {
			$remove = '';
			delete_about();
			update_option('lushaboutpage', $remove, '','');
		}
		if ( isset($_POST['tagspage']) ) {
			$add = $_POST['tagspage'];
			//update_option('lushtagspage', $add, '','');
			create_archive();
		} else {
			$remove = '';
			delete_archive();
			update_option('lushtagspage', $remove, '','');
		}
		if ( isset($_POST['tagcloud']) ) {
			$add = $_POST['tagcloud'];
			update_option('lushtagcloud', $add, '','');
		} else {
			$remove = '';
			update_option('lushtagcloud', $remove, '','');
		}
		if ( isset($_POST['flickr']) ) {
			$add = $_POST['flickr'];
			update_option('lushflickr', $add, '','');
		} else {
			$remove = '';
			update_option('lushflickr', $remove, '','');
		}
		if ( isset($_POST['headerlink']) ) {
			$add = $_POST['headerlink'];
			update_option('lushheaderlink',$add, '', '');
		} else {
			$remove = '';
			update_option('lushheaderlink',$remove, '', '');
		}
	}
}

// First things first: The basic installation
if (!get_option('lushinstalled')) {
add_option('lushinstalled', $current, 'This options simply tells me if Lush has been installed before', $autoload);
add_option('lushtagspage', '', 'Wether a tags page is available or not', $autoload);
add_option('lushtagcloud', '', 'Wether a tagcloud will be displayed in the sidebar', $autoload);
add_option('lushflickr', '', 'Wether a set of flickr images will be displayed in the sidebar', $autoload);
add_option('lushsblinkcat', '1', 'Which link category is to be displayed in the sidebar', $autoload);
add_option('lushaboutpage', '', 'Wether a link to an about page will be displayed in the sidebar', $autoload);
add_option('lushrev','100', 'Lush Revision',$autoload);
}

if(!get_option('lushrev')) {
add_option('lushrev','100','Lush Revision',$autoload);
}

if(get_option(lushrev) == '100') {
update_option('lushrev','101', '','');
add_option('lushheaderlink', '', 'Wether the header link should be a clickable image',$autoload);
}

function lushmenu() {
	add_submenu_page('themes.php', 'Lush Options', 'Lush Options', 5, $lushloc . 'functions.php', 'menu');
}

function create_archive() {
global $wpdb, $user_ID;
get_currentuserinfo();
	$check = $wpdb->query("SELECT * from $wpdb->posts WHERE post_title = 'All tags'");
		if(!$check) {
	$message = __('Do not edit this page','lush');
	$title_message = __('All tags','lush');
	$content = apply_filters('content_save_pre', $message);
	$post_title = apply_filters('title_save_pre', $title_message);
	$now = current_time('mysql');
	$now_gmt = current_time('mysql', 1);
	$post_author = $user_ID;
	$id_result = $wpdb->get_row("SHOW TABLE STATUS LIKE '$wpdb->posts'");
	$post_ID = $id_result->Auto_increment;
	$post_name = sanitize_title($post_title, $post_ID);
	$ping_status = get_option('default_ping_status');
	$comment_status = get_option('default_comment_status');
	
	$postquery ="INSERT INTO $wpdb->posts
			(ID, post_author, post_date, post_date_gmt, post_content, post_title, post_excerpt,  post_status, comment_status, ping_status, post_password, post_name, to_ping, post_modified, post_modified_gmt, post_parent, menu_order)
			VALUES
			('$post_ID', '$post_author', '$now', '$now_gmt', '$content', '$post_title', '', 'static', '$comment_status', '$ping_status', '', '$post_name', '', '$now', '$now_gmt', '', '')";
	$result = $wpdb->query($postquery);
	$metaquery = "INSERT INTO $wpdb->postmeta(meta_id, post_id, meta_key, meta_value) VALUES('', '$post_ID', '_wp_page_template', 'page-tags.php')";
	$result2 = $wpdb->query($metaquery);
	update_option('lushtagspage', $post_ID, '','');
	}
}

function delete_archive() {
global $wpdb;
	$pid = get_option('lushtagspage'); 
	$check = $wpdb->query("SELECT * from $wpdb->posts WHERE ID = $pid");
		if($check) {
	$burninate = $wpdb->query("DELETE from $wpdb->posts WHERE ID = $pid and post_status = 'static'");
	$result = $wpdb->query($burninate);
	}
} 

function create_about() {
global $wpdb, $user_ID;
get_currentuserinfo();
	$pid = get_option('lushaboutpage');
	$check = $wpdb->query("SELECT * from $wpdb->posts WHERE ID=$pid");
		if(!$check) {
	$message = __('Feel free to edit this page to your likings','lush');
	$title_message = __('About this site','lush');
	$content = apply_filters('content_save_pre', $message);
	$post_title = apply_filters('title_save_pre', $title_message);
	$now = current_time('mysql');
	$now_gmt = current_time('mysql', 1);
	$post_author = $user_ID;
	$id_result = $wpdb->get_row("SHOW TABLE STATUS LIKE '$wpdb->posts'");
	$post_ID = $id_result->Auto_increment;
	$post_name = sanitize_title($post_title, $post_ID);
	$ping_status = get_option('default_ping_status');
	$comment_status = get_option('default_comment_status');

	$postquery ="INSERT INTO $wpdb->posts
			(ID, post_author, post_date, post_date_gmt, post_content, post_title, post_excerpt,  post_status, comment_status, ping_status, post_password, post_name, to_ping, post_modified, post_modified_gmt, post_parent, menu_order)
			VALUES
			('$post_ID', '$post_author', '$now', '$now_gmt', '$content', '$post_title', '', 'static', '$comment_status', '$ping_status', '', '$post_name', '', '$now', '$now_gmt', '', '')";
	$result = $wpdb->query($postquery);
	//$metaquery = "INSERT INTO $wpdb->postmeta(meta_id, post_id, meta_key, meta_value) VALUES('', '$post_ID', '_wp_page_template', 'page-tags.php')";
	//$result2 = $wpdb->query($metaquery);
	update_option('lushaboutpage', $post_ID, '','');
	}
}

function delete_about() {
global $wpdb;
	$pid = get_option('lushaboutpage'); 
	$check = $wpdb->query("SELECT * from $wpdb->posts WHERE ID = $pid");
		if($check) {
	$burninate = $wpdb->query("DELETE from $wpdb->posts WHERE ID = $pid and post_status = 'static'");
	$result = $wpdb->query($burninate);
	}
} ?>